- Qt 5.15
- Qt Network
- C++ Classes
- QSslCertificate
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QSslCertificate

The following members of class QSslCertificate are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QMultiMap<QSsl::AlternateNameEntryType, QString> | alternateSubjectNames() const
`(obsolete)` bool | isValid() const

## Static Public Members

`(obsolete)` QList<QSslCertificate> | fromPath(const QString &path, QSsl::EncodingFormat format, QRegExp::PatternSyntax syntax)

## Member Function Documentation

### QMultiMap<QSsl::AlternateNameEntryType, QString> QSslCertificate::alternateSubjectNames() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QSslCertificate::subjectAlternativeNames();

### `[static]` QList<QSslCertificate> QSslCertificate::fromPath(const QString &path, QSsl::EncodingFormat format, QRegExp::PatternSyntax syntax)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Searches all files in the path for certificates encoded in the specified format and returns them in a list. path must be a file or a pattern matching one or more files, as specified by syntax.

Example:

     const auto certs = QSslCertificate::fromPath("C:/ssl/certificate.*.pem",
                                                  QSsl::Pem, QRegExp::Wildcard);
     for (const QSslCertificate &cert : certs) {
         qDebug() << cert.issuerInfo(QSslCertificate::Organization);
     }

See also fromData().

### bool QSslCertificate::isValid() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

To verify a certificate, use verify(). To check if a certificate is blacklisted, use isBlacklisted(). To check if a certificate has expired or is not yet valid, compare expiryDate() and effectiveDate() with QDateTime::currentDateTime()

This function checks that the current date-time is within the date-time range during which the certificate is considered valid, and checks that the certificate is not in a blacklist of fraudulent certificates.

See also isNull(), verify(), isBlacklisted(), expiryDate(), and effectiveDate().